import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutterskel/resources/colors/ColorResources.dart';
import 'package:flutterskel/resources/fonts/FontResources.dart';

/// Base class for fonts
/// A simple class where themes and text styles should be added
abstract class ThemeResources<
  DimensionsClass,
  Colors extends ColorResources,
  Fonts extends FontResources> {

  final DimensionsClass dimensions;
  final Colors colors;
  final Fonts fonts;
  final ThemeData materialTheme;

  ThemeResources({@required this.dimensions, @required this.colors, @required this.fonts, @required this.materialTheme});

}